# Conversion: insert

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/search-ads/v2/reference/conversion/insert#auth).

Inserts a batch of new conversions into DoubleClick Search.
[Try it now](https://developers.google.com/search-ads/v2/reference/conversion/insert#try-it).

## Request

### HTTP request

```
POST https://www.googleapis.com/doubleclicksearch/v2/conversion
```

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/doubleclicksearch` |

For more information, see the [authentication and authorization](https://developers.google.com/search-ads/v2/authorizing) page.

### Request body

In the request body, supply a [Conversion resource](https://developers.google.com/search-ads/v2/reference/conversion#resource) with the following properties:

| Property name | Value | Description | Notes |
|---|---|---|---|
| **Required Properties** ||||
| `conversion[].conversionId` | `string` | For offline conversions, advertisers provide this ID. Advertisers can specify any ID that is meaningful to them. Each conversion in a request must specify a unique ID, and the combination of ID and timestamp must be unique amongst all conversions within the advertiser. For online conversions, DS copies the `dsConversionId` or `floodlightOrderId` into this property depending on the advertiser's Floodlight instructions. |   |
| `conversion[].conversionTimestamp` | `unsigned long` | The time at which the conversion took place, in epoch millis UTC. |   |
| `conversion[].segmentationType` | `string` | The segmentation type of this conversion (for example, `FLOODLIGHT`). <br /> Acceptable values are: - "`FLOODLIGHT`" |   |

## Response

If successful, this method returns a [Conversion resource](https://developers.google.com/search-ads/v2/reference/conversion#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/doubleclicksearch/v2/doubleclicksearch.conversion.insert).